<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RSafCcdPurgeBlockLearnedRoutes StructType
 * @subpackage Structs
 */
class RSafCcdPurgeBlockLearnedRoutes extends AbstractStructBase
{
    /**
     * The learnedPattern
     * Meta information extracted from the WSDL
     * - documentation: Either learnedPattern or learnedPatternPrefix has to be set
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $learnedPattern;
    /**
     * The learnedPatternPrefix
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $learnedPatternPrefix;
    /**
     * The callControlIdentity
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $callControlIdentity;
    /**
     * The ipAddress
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ipAddress;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RSafCcdPurgeBlockLearnedRoutes
     * @uses RSafCcdPurgeBlockLearnedRoutes::setLearnedPattern()
     * @uses RSafCcdPurgeBlockLearnedRoutes::setLearnedPatternPrefix()
     * @uses RSafCcdPurgeBlockLearnedRoutes::setCallControlIdentity()
     * @uses RSafCcdPurgeBlockLearnedRoutes::setIpAddress()
     * @uses RSafCcdPurgeBlockLearnedRoutes::setUuid()
     * @param string $learnedPattern
     * @param string $learnedPatternPrefix
     * @param string $callControlIdentity
     * @param string $ipAddress
     * @param string $uuid
     */
    public function __construct($learnedPattern = null, $learnedPatternPrefix = null, $callControlIdentity = null, $ipAddress = null, $uuid = null)
    {
        $this
            ->setLearnedPattern($learnedPattern)
            ->setLearnedPatternPrefix($learnedPatternPrefix)
            ->setCallControlIdentity($callControlIdentity)
            ->setIpAddress($ipAddress)
            ->setUuid($uuid);
    }
    /**
     * Get learnedPattern value
     * @return string|null
     */
    public function getLearnedPattern()
    {
        return $this->learnedPattern;
    }
    /**
     * Set learnedPattern value
     * @param string $learnedPattern
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafCcdPurgeBlockLearnedRoutes
     */
    public function setLearnedPattern($learnedPattern = null)
    {
        $this->learnedPattern = $learnedPattern;
        return $this;
    }
    /**
     * Get learnedPatternPrefix value
     * @return string|null
     */
    public function getLearnedPatternPrefix()
    {
        return $this->learnedPatternPrefix;
    }
    /**
     * Set learnedPatternPrefix value
     * @param string $learnedPatternPrefix
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafCcdPurgeBlockLearnedRoutes
     */
    public function setLearnedPatternPrefix($learnedPatternPrefix = null)
    {
        $this->learnedPatternPrefix = $learnedPatternPrefix;
        return $this;
    }
    /**
     * Get callControlIdentity value
     * @return string|null
     */
    public function getCallControlIdentity()
    {
        return $this->callControlIdentity;
    }
    /**
     * Set callControlIdentity value
     * @param string $callControlIdentity
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafCcdPurgeBlockLearnedRoutes
     */
    public function setCallControlIdentity($callControlIdentity = null)
    {
        $this->callControlIdentity = $callControlIdentity;
        return $this;
    }
    /**
     * Get ipAddress value
     * @return string|null
     */
    public function getIpAddress()
    {
        return $this->ipAddress;
    }
    /**
     * Set ipAddress value
     * @param string $ipAddress
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafCcdPurgeBlockLearnedRoutes
     */
    public function setIpAddress($ipAddress = null)
    {
        $this->ipAddress = $ipAddress;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafCcdPurgeBlockLearnedRoutes
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
